package gate_utils

type WhiteParams struct {
	CodeType      string `json:"CodeType"`
	ValidityStart string `json:"ValidityStart"`
	ValidityEnd   string `json:"ValidityEnd"`
	CodeVal       string `json:"CodeVal"`
	DeleteFlag    string `json:"DeleteFlag"`
}

type Command struct {
	CmdID     string              `json:"CmdID"`
	CmdCode   int                 `json:"CmdCode"`
	CmdParams []map[string]string `json:"CmdParams"`
}

type SucInfo struct {
	CustomId string `json:"customId"`
}

type ErrInfo struct {
	CustomId string `json:"customId"`
	ErrCode  int    `json:"errcode"`
}

type EditPersonsNewResInfo struct {
	FaceId     string    `json:"facesluiceId"`
	AddErrNum  int       `json:"AddErrNum"`
	AddSucNum  int       `json:"AddSucNum"`
	AddErrInfo []ErrInfo `json:"AddErrInfo"`
	AddSucInfo []SucInfo `json:"AddSucInfo"`
	Result     string    `json:"result"`
	Detail     string    `json:"detail"`
}

type EditPersonsNewRes struct {
	Operator  string                `json:"operator"`
	MessageId string                `json:"messageId"`
	Info      EditPersonsNewResInfo `json:"info"`
}

type DelSucInfo struct {
	CustomId string `json:"customId"`
}

type DelErrInfo struct {
	CustomId string `json:"customId"`
}

type DeletePersonsCmdResInfo struct {
	FaceId     string       `json:"facesluiceId"`
	DelErrNum  int          `json:"DelErrNum"`
	DelSucNum  int          `json:"DelSucNum"`
	DelErrInfo []DelErrInfo `json:"DelErrInfo"`
	DelSucInfo []DelSucInfo `json:"DelSucInfo"`
	Result     string       `json:"result"`
	Detail     string       `json:"detail"`
}

type DeletePersonsCmdRes struct {
	Operator  string                  `json:"operator"`
	MessageId string                  `json:"messageId"`
	Info      DeletePersonsCmdResInfo `json:"info"`
}
